> For the complete documentation index, see [llms.txt](https://docs-en.dydu.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-en.dydu.ai/developers/api-reference/user-management-in-the-bms.md).

# User Management in the BMS

For all APIs that require authentication, refer to this [page](/developers/api-reference/authentication.md) to learn how to fill in the field.

## User Creation

```
/servlet/accounts/update
```

Parameters :&#x20;

<table><thead><tr><th width="164">Parameter</th><th width="451">Description</th><th></th></tr></thead><tbody><tr><td><a href="/pages/lB72UaDHSze8V5XD8I5W">Authorization</a></td><td></td><td></td></tr><tr><td>login</td><td>The login of the new account, or of the account to be modified if the login already exists. A login is unique.</td><td>Required</td></tr><tr><td>accountId</td><td>The account ID. This ID should only be provided if you want to modify an existing account.</td><td></td></tr><tr><td>firstName</td><td>First name of the user</td><td></td></tr><tr><td>lastName</td><td>Last name of the user</td><td></td></tr><tr><td>email</td><td>Email address of the user</td><td></td></tr><tr><td>password</td><td>Password of the user. It must comply with the following policy: at least 12 characters, 1 lowercase letter, 1 uppercase letter, 1 digit.</td><td></td></tr><tr><td>language</td><td>The language used in the BMS</td><td>French, English</td></tr><tr><td>rights</td><td>User rights. This field is in JSON format. <br><em>Example</em>: <br>{ "type": "default", "9fbd59f2-bf91-4aab-bee1-a36c2a3ebece": "Names of the groups in the preferences separated by commas", "6ae11dd2-c322-4177-aab0-9c6754cf1bcd": "Writer" }</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-en.dydu.ai/developers/api-reference/user-management-in-the-bms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
